Description

I don't know if anybody is interested in this, but the Ul could be further improved using clearer groupings of toolbars. Some icons seem
very out of place currently. The groupings could be further aided by using similar colours for similar concepts. Blue seems to be already
established for layer operations. Selection operations could all use a lot of yellow. Polygon operations seem to be green.

In my opinion very out of place is: The "refresh view" and "draw layer" being so far apart. The attribute table and field calculator should be
closer to the layers. Grouping the attribute table with the "selection" tool bar is just weird. If anybody likes the mock up | can work on it

some more.

In general | think the interface should be darker to make the map pop out more. And another thing | like is putting the edit tools on the
right hand side of the screen because it takes advantage of wide screens.
History

#1 - 2014-03-01 08:27 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2014-03-01 05:11 PM - Anita Graser

| think you raise some important issues about how tools should be grouped in toolbars.

Concerning your second suggestion about a dark interface: I'm against forcing a dark interface on users. Currently, the QGIS interface follows the users

choice of operating system window style. Users can have dark interfaces if they want to. | don't think forcing a dark interface would improve usability.

#3 - 2014-03-01 05:14 PM - Anita Graser

- Subject changed from Ul improvement through better groupings and color usage to Improve tool grouping and color usage in toolbars

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:11 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

2025-04-27

12




Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
